Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface StepTimeEstimateType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface StepTimeEstimateType

extends XmlObject

An XML stepTimeEstimateType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `StepTimeEstimateType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getInterval()` Gets the "interval" element
`String` | `getStepName()` Gets the "stepName" element
`void` | `setInterval(String interval)` Sets the "interval" element
`void` | `setStepName(String stepName)` Sets the "stepName" element
`XmlString` | `xgetInterval()` Gets (as xml) the "interval" element
`XmlString` | `xgetStepName()` Gets (as xml) the "stepName" element
`void` | `xsetInterval(XmlString interval)` Sets (as xml) the "interval" element
`void` | `xsetStepName(XmlString stepName)` Sets (as xml) the "stepName" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getStepName

    String getStepName()

  Gets the "stepName" element

### xgetStepName

    XmlString xgetStepName()

  Gets (as xml) the "stepName" element

### setStepName

    void setStepName(String stepName)

  Sets the "stepName" element

### xsetStepName

    void xsetStepName(XmlString stepName)

  Sets (as xml) the "stepName" element

### getInterval

    String getInterval()

  Gets the "interval" element

### xgetInterval

    XmlString xgetInterval()

  Gets (as xml) the "interval" element

### setInterval

    void setInterval(String interval)

  Sets the "interval" element

### xsetInterval

    void xsetInterval(XmlString interval)

  Sets (as xml) the "interval" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD